/*--------------- GENERAL / BASICS ---------------*/
blockquote {
    margin:10px;
    margin-right:0;
    padding-left:10px;
    border-left:var(--Normal-Text-Links-Underline);
}

a {
    color:var(--Normal-Text-Links-Color);
    text-decoration:none;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
}

pre, code {
    white-space:pre-wrap;
    font-family:cousine;
    font-size:calc(var(--Normal-Text-Size) - 2.5px);
}

hr {
    width:70%;
    border-width:0px;
    height:1px;
    background-color:var(--Normal-Text-Links-Underline);
}

img {
    vertical-align:middle;
    max-width:100%;
}

.flex, [flex]{
    display:flex;
    align-items:center;
}

i[class] > svg, span[class] > svg {
    pointer-events:none;
}

/*--------------- TEXT HIGHLIGHT ---------------*/
::selection {
    background:var(--Highlighted-Text-BG);
    color:var(--Highlighted-Text-Color);
}

::-moz-selection {
    background:var(--Highlighted-Text-BG);
    color:var(--Highlighted-Text-Color);
}

/* disable background color on highlight, on the following: */
/* images */
img::-moz-selection {background:transparent;}
img::selection {background:transparent;}

/* top bar title */
[top-bar-title]::-moz-selection {background:transparent; color:inherit;}
[top-bar-title]::selection {background:transparent; color:inherit;}

/* custom links [bottom bar] */
[custom-links] a::-moz-selection {background:transparent; color:inherit;}
[custom-links] a::selection {background:transparent; color:inherit;}

/* intro header flag title */
[longbar] [text]::-moz-selection {background:transparent; color:inherit;}
[longbar] [text]::selection {background:transparent; color:inherit;}

/* intro header navlinks */
[header-links] a::-moz-selection {background:transparent; color:inherit;}
[header-links] a::selection {background:transparent; color:inherit;}

/* character stat, label */
[stat-row] [label] span::-moz-selection {background:transparent; color:inherit;}
[stat-row] [label] span::selection {background:transparent; color:inherit;}

/*--------------- SCROLLBARS ---------------*/
.desc-inner::-webkit-scrollbar {
    background-color:var(--Desc-BG);
}

.desc-inner::-webkit-scrollbar-thumb {
    border-color:var(--Desc-BG);
    background-color:var(--Desc-Scrollbar);
}

.desc-inner::-webkit-scrollbar-track {
    border-color:var(--Desc-BG);
    background-color:var(--Desc-BG);
}

.desc-inner::-webkit-scrollbar-corner {
    background-color:var(--Desc-BG);
}

[chara-textarea]::-webkit-scrollbar {
    background-color:var(--Character-Box-BG);
}

[chara-textarea]::-webkit-scrollbar-thumb {
    border:calc((var(--Scrollbar-Width) - 1px) / 2) solid var(--Character-Box-BG);
    background-color:var(--Character-Box-Scrollbar);
}

[chara-textarea]::-webkit-scrollbar-track {
    border:calc((var(--Scrollbar-Width) - 1px) / 2) solid var(--Character-Box-BG);
    background-color:var(--Character-Box-BG);
}

[chara-textarea]::-webkit-scrollbar-corner {
    background-color:var(--Character-Box-BG);
}

/*--------------- LOADING STUFF + CONTAINER ---------------*/
.uwvgk {
    opacity:1!important;
    transition:opacity var(--Container-FadeIn-Speed) ease-in-out;
}

.jqgff {
    position:absolute;
    top:0;left:0;right:0;
    margin:0 auto;
    text-align:center;
}

.uxuze {
    display:inline-block;
    text-align:initial;
}

.ouksk {
    position:relative;
    width:var(--Container-Width);
    /*height:100%;*/
}

/*------ BOTTOM BAR // CUSTOM LINKS ------*/
.ymohy {
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    margin:calc(var(--CustomLinks-Spacing) / -2);
    width:calc(100% + var(--CustomLinks-Spacing));
}


/*------ INTRO HEADER ------*/
/* solid box bg */
.vszup {
    position:relative;
    margin-left:var(--Header-Frame-Thickness);
    width:calc(100% - (var(--Header-Frame-Thickness) * 2));
    box-sizing:border-box;
    background:var(--Header-BG);
    padding:var(--Header-Padding);
}

/* intro's frame corners */
.jepmx, .omlzq, .jmipp, .kwotu {
    position:absolute;
    width:var(--Header-Corner-Frame-Size);
    height:var(--Header-Corner-Frame-Size);
    border:var(--Header-Corner-Frame-Thickness) solid var(--Header-Corner-Frame-Color);
    transform:perspective(0);
}

.jepmx {
    top:0;left:0;
    border-bottom:0px;
    border-right:0px;
}

.omlzq {
    top:0;right:0;
    border-left:0px;
    border-bottom:0px;
}

.jmipp {
    bottom:0;left:0;
    border-top:0px;
    border-right:0px;
}

.kwotu {
    bottom:0;right:0;
    border-top:0px;
    border-left:0px;
}

/* intro top part flex-ish */
.zofnc {
    position:relative;
}

/* intro icon */
.ahywt {
    position:relative;
    width:calc(var(--Header-Image-Size) + (var(--Header-Image-Border-Thickness) * 2));
    height:calc(var(--Header-Image-Size) + (var(--Header-Image-Border-Thickness) * 2));
    background:var(--Header-Image-Border-Color);
    z-index:2;
}

.peoik {
    position:relative;
    background:var(--Header-Image-BG);
    overflow:hidden;
}

[header-image] + img {
    position:absolute;
    top:0;margin-top:var(--Header-Image-Border-Thickness);
    left:0;margin-left:var(--Header-Image-Border-Thickness);
    width:calc(100% - (var(--Header-Image-Border-Thickness) * 2));
    height:auto;
    opacity:0;
    z-index:1;
}

[longbar]{
    position:absolute;
    top:0;left:0;
    margin-left:calc(var(--Header-Image-Size) + var(--Header-Image-Border-Thickness));
    width:calc(100% - var(--Header-Image-Size) - var(--Header-Image-Border-Thickness));
    height:100%;
    display:table;
    z-index:1;
}

.elbpo {
    display:table-cell;
    vertical-align:middle;
}

.longline {
    position:relative;
    width:100%;
    height:var(--Header-LongBar-Height);
    background:var(--Header-LongBar-Color);
    border-radius:0 var(--Header-LongBar-Height) var(--Header-LongBar-Height) 0;
}

/* long bar's circle thing */
.wydnu {
    position:absolute;
    top:50%;transform:translateY(-50%);
    left:0;margin-left:calc(var(--Header-Image-Border-Thickness) + var(--Header-LongBar-Circle-Shift));
    width:var(--Header-LongBar-Circle-Size);
    height:var(--Header-LongBar-Circle-Size);
    border:var(--Header-LongBar-Circle-Border-Thickness) solid var(--Header-LongBar-Circle-Border-Color);
    background:var(--Header-LongBar-Circle-Center-Color);
    border-radius:100%;
    z-index:1;
}

[longtext] [bar]{
    bottom:0;
    left:0;margin-left:calc(var(--Header-Image-Border-Thickness) + var(--Header-LongBar-Circle-Shift) + (var(--Header-LongBar-Circle-Border-Thickness) * 1) + (var(--Header-LongBar-Circle-Size) / 2) + var(--Header-LongBar-Text-Offset));
}

[header-description]{
    bottom:0;margin-bottom:var(--Header-Padding);
    right:0;margin-right:var(--Header-Padding);
    width:calc(100% - (var(--Header-Padding) * 2) - var(--Header-Image-Size) - (var(--Header-Image-Border-Thickness) * 2) - var(--Desc-Gap-Left));
}

.desc-inner {
    width:100%;
    height:100%;
    box-sizing:border-box;
    overflow:auto;
}

/*------ CHARACTERS ------*/
/* if no-scrollbar */
[member][no-scrollbar] [chara-text-wrap]{
    display:flex!important;
    align-items:center;
}

[member][no-scrollbar] [ztv]{
    display:block!important;
}

[member][no-scrollbar] [chara-textarea]{
    overflow:hidden;
    padding-top:0;
    padding-bottom:0;
}

.mi-bap {
    position:relative;
    width:var(--Character-Image-Size);
    height:var(--Character-Image-Size);
    overflow:hidden;
}

.vokju {
    position:absolute;
    top:0;right:0;
    width:100%;
    height:auto;
    opacity:0;
    z-index:1;
}

[chara-text-wrap]{
    position:absolute;
    top:0;margin-left:var(--Character-Image-Size);
    width:calc(100% - var(--Character-Image-Size));
    height:var(--Character-Image-Size);
    display:table;
    overflow:hidden;
    box-sizing:border-box;
}

[ztv]{
    display:table-cell;
    vertical-align:middle;
}

[member-name] + * {
    margin-top:var(--Character-Name-Gap-Bottom);
}

[st-table]{
    display:table;
    width:100%;
    margin-left:calc(0px - 1px);
}

[stat-row]{
    display:table-row;
}

[stat-row] [label]{
    display:table-cell;
    width:1%;
    white-space:nowrap;
}

[stat-row] [detail]{
    display:table-cell;
}

[st-table] + [st-table]{
    margin-top:var(--Character-Stat-Row-Spacing);
}

/*--------------- DIV-SPECIFIC CSSVARS ---------------*/
/* (e.g. TopBot padding W/O the excess line-height (> 1.0)) */

#s-m-t-tooltip {
    --hhzz:calc(((var(--Tooltips-Text-Size) * var(--Tooltips-LineHeight)) - var(--Tooltips-Text-Size)) / 2);
    padding:calc(var(--Tooltips-Padding) - var(--hhzz)) var(--Tooltips-Padding);
}

[top-bar-title]{
    --ypvg:calc(((var(--TopBar-Title-Size) * var(--TopBar-Title-LineHeight)) - var(--TopBar-Title-Size)) / 2);
    padding:calc(var(--TopBar-Padding) - var(--ypvg)) var(--TopBar-Padding);
}

[longbar] [text]{
    bottom:0;left:0;
    --agdzp:calc(((var(--Header-LongBar-Text-Size) * var(--Header-LongBar-LineHeight)) - var(--Header-LongBar-Text-Size)) / 2);
    --nvtfd:calc((var(--Header-LongBar-Text-Size) * var(--Header-LongBar-LineHeight)) + ((var(--Header-LongBar-Text-Padding) - var(--agdzp)) * 2));
    margin-bottom:calc(var(--Header-LongBar-Height) + var(--Header-LongBar-Text-Offset) - (var(--nvtfd) / 2));
    margin-left:calc(var(--Header-Image-Border-Thickness) + var(--Header-LongBar-Circle-Shift) + (var(--Header-LongBar-Circle-Border-Thickness) * 1) + (var(--Header-LongBar-Circle-Size) / 2) + var(--Header-LongBar-Text-Offset));
    padding:calc(var(--Header-LongBar-Text-Padding) - var(--agdzp)) var(--Header-LongBar-Text-Padding);
}

/* line, horizontal */
[longbar] [text]:before {
    content:"";
    position:absolute;
    top:50%;transform:translateY(-50%) perspective(0);
    right:0;margin-right:calc(100%);
    
    width:calc(var(--Header-LongBar-Text-Offset) + 1px);
    height:2px;
    background:var(--Header-LongBar-Text-Anchor-Color);
}

/* line, vertical */
[longbar] [text]:after {
    content:"";
    position:absolute;
    bottom:0;margin-bottom:calc(0px - var(--Header-LongBar-Text-Offset));
    right:100%;
    margin-right:calc(var(--Header-LongBar-Text-Offset) - 1px);
    transform:perspective(0);
    width:2px;
    height:calc(var(--Header-LongBar-Text-Offset) + (var(--nvtfd) / 2));
    background:var(--Header-LongBar-Text-Anchor-Color);
}

[header-links] a {
    --arcqx:calc(((var(--Header-Links-Text-Size) * var(--Header-Links-LineHeight)) - var(--Header-Links-Text-Size)) / 2);
    padding:calc(var(--Header-Links-Padding) - var(--arcqx)) var(--Header-Links-Padding);
}

[header-description]{
    --yufai:calc(((var(--Desc-Text-Size) * var(--Desc-LineHeight)) - var(--Desc-Text-Size)) / 2);
    --total-intro-height:calc(100% - (var(--Header-Padding) * 2));
}

.desc-inner {
    padding:calc(var(--Desc-Padding) - var(--yufai)) var(--Desc-Padding);
}

.zofnc + [header-links] + [header-description]{
    height:calc(var(--total-intro-height) - (var(--Header-Image-Size) / 2) - var(--Header-Image-Border-Thickness) - (var(--Header-LongBar-Height) / 2) - var(--Desc-Gap-Top));
}

.ahywt + [header-links] + [header-description]{
    height:var(--total-intro-height);
}

[stat-row] [label] span {
    --ggugh:calc(((var(--Character-Stat-Label-Text-Size) * var(--Normal-Text-LineHeight)) - var(--Character-Stat-Label-Text-Size)) / 2);
    padding:calc(var(--Character-Stat-Label-Padding) - var(--ggugh)) var(--Character-Stat-Label-Padding);
}

a[member-url] .system-uicons {
    pointer-events:none;
}
